Skip to main content
`Ctrl`+`K`

# PetscPointBoundFn

A prototype of a pointwise function that can be passed to, for example, `PetscDSSetLowerBound()`

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode PetscPointBoundFn(PetscInt dim, PetscReal t, const PetscReal x[], PetscInt Nc, PetscScalar u[], void *ctx);

## Calling Sequence

- dim - the coordinate dimension

- t - current time

- x - coordinates of the current point

- Nc - the number of field components

- u - the lower bound evaluated at the current point

- ctx - a user context, passed in with, for example, `PetscDSSetLowerBound()`

## See Also

`PetscPointFn`, `PetscDSSetLowerBound()`, `PetscDSSetUpperBound()`

## Level

beginner

## Location

include/petscdstypes.h

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages